Security Enhanced Linux Reference Policy

# Layer: services

## Module: avahi

Interfaces

### Description:

mDNS/DNS-SD daemon implementing Apple ZeroConf architecture

### Interfaces:

avahi_admin( domain , role )

##### Summary

All of the rules required to administrate an avahi environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the avahi domain.

avahi_dbus_chat( domain )

##### Summary

Send and receive messages from avahi over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_domtrans( domain )

##### Summary

Execute avahi server in the avahi domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

avahi_dontaudit_search_pid( domain )

##### Summary

Do not audit attempts to search the avahi pid directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_kill( domain )

##### Summary

Send avahi a kill signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_signal( domain )

##### Summary

Send avahi a signal

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

avahi_signull( domain )

##### Summary

Send avahi a signull

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

avahi_stream_connect( domain )

##### Summary

Connect to avahi using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return